Bug 1002435 - [abrt] fpaste-0.3.7.1-8.fc19: decoder.py:381:raw_decode:ValueError: Expecting property name: line 1 column 6 (char 5)
[abrt] fpaste-0.3.7.1-8.fc19: decoder.py:381:raw_decode:ValueError: Expecting...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fpaste (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
abrt_hash:fc5e4de24205f2850fe35a6a255...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 04:09 EDT by Maxim Polyakov
Modified: 2014-01-28 22:09 EST (History)
3 users (show)

See Also:
Fixed In Version: fpaste-0.3.7.1-11.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 21:23:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (995 bytes, text/plain)
2013-08-29 04:09 EDT, Maxim Polyakov
no flags Details
File: environ (2.25 KB, text/plain)
2013-08-29 04:09 EDT, Maxim Polyakov
no flags Details

  None (edit)
Description Maxim Polyakov 2013-08-29 04:09:21 EDT
Description of problem:
yum install gcc | fpaste

Version-Release number of selected component:
fpaste-0.3.7.1-8.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        python /bin/fpaste /tmp/fp
dso_list:       python-libs-2.7.5-4.fc19.x86_64
executable:     /bin/fpaste
kernel:         3.9.0-rc1+
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
decoder.py:381:raw_decode:ValueError: Expecting property name: line 1 column 6 (char 5)

Traceback (most recent call last):
  File "/bin/fpaste", line 447, in <module>
    main()
  File "/bin/fpaste", line 414, in main
    [url, short_url] = paste(text, options)
  File "/bin/fpaste", line 137, in paste
    short_url = get_shortened_url(url)
  File "/bin/fpaste", line 77, in get_shortened_url
    return json.loads('{' + line  +'}')['short_url']
  File "/usr/lib64/python2.7/json/__init__.py", line 338, in loads
    return _default_decoder.decode(s)
  File "/usr/lib64/python2.7/json/decoder.py", line 365, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib64/python2.7/json/decoder.py", line 381, in raw_decode
    obj, end = self.scan_once(s, idx)
ValueError: Expecting property name: line 1 column 6 (char 5)

Local variables in innermost frame:
s: '{    [url, short_url] = paste(text, options)\n}'
self: <json.decoder.JSONDecoder object at 0x2115650>
idx: 0
Comment 1 Maxim Polyakov 2013-08-29 04:09:25 EDT
Created attachment 791638 [details]
File: backtrace
Comment 2 Maxim Polyakov 2013-08-29 04:09:29 EDT
Created attachment 791639 [details]
File: environ
Comment 3 Fedora Update System 2014-01-23 02:05:28 EST
fpaste-0.3.7.1-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-10.fc20
Comment 4 Fedora Update System 2014-01-23 02:06:09 EST
fpaste-0.3.7.1-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-10.fc19
Comment 5 Fedora Update System 2014-01-24 02:46:53 EST
Package fpaste-0.3.7.1-11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fpaste-0.3.7.1-11.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1440/fpaste-0.3.7.1-11.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-01-24 21:23:14 EST
fpaste-0.3.7.1-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-01-28 22:09:52 EST
fpaste-0.3.7.1-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.